# AIEventCompanyNew Class Reference

Event Company New, indicating a new company has been created. More...

`#include <ai_event_types.hpp>`

Inheritance diagram for AIEventCompanyNew:

## Public Member Functions

| AIEventCompanyNew (Owner owner)
AICompany::CompanyID | GetCompanyID ()
| Get the CompanyID of the company that has been created.

## Static Public Member Functions

static const char * | GetClassName ()
static AIEventCompanyNew * | Convert (AIEvent *instance)
| Convert an AIEvent to the real instance.

## Private Attributes

AICompany::CompanyID | owner

## Detailed Description

Event Company New, indicating a new company has been created.

Definition at line 299 of file ai_event_types.hpp.

## Constructor & Destructor Documentation

AIEventCompanyNew::AIEventCompanyNew | ( | Owner | owner | ) | `[inline]`

Parameters:

  | owner | The new company.

Definition at line 306 of file ai_event_types.hpp.

## Member Function Documentation

static AIEventCompanyNew* AIEventCompanyNew::Convert | ( | AIEvent * | instance | ) | `[inline, static]`

Convert an AIEvent to the real instance.

Parameters:

  | instance | The instance to convert.

Returns:
  The converted instance.

Definition at line 316 of file ai_event_types.hpp.

AICompany::CompanyID AIEventCompanyNew::GetCompanyID | ( |  | ) | `[inline]`

Get the CompanyID of the company that has been created.

Returns:
  The CompanyID of the company.

Definition at line 322 of file ai_event_types.hpp.

The documentation for this class was generated from the following file:

- src/ai/api/ai_event_types.hpp